All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::transport::if_addrs_t Struct Reference

`#include <if_addrs.hpp>`

## Public Attributes

std::string | inet
std::string | mask
std::string | bcast

## Detailed Description

The address for a network interface.

## Member Data Documentation

std::string uhd::transport::if_addrs_t::bcast

std::string uhd::transport::if_addrs_t::inet

std::string uhd::transport::if_addrs_t::mask

The documentation for this struct was generated from the following file:

- include/uhd/transport/if_addrs.hpp